----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    19:51:16 06/23/2008 
-- Design Name: 
-- Module Name:    div1s - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity div1s is
    Port ( CLK : in  STD_LOGIC;
           CLK1S : out  STD_LOGIC;
           RST : in  STD_LOGIC);
end div1s;

architecture Behavioral of div1s is
	signal Q: std_logic_vector(9 downto 0);
begin
	process (CLK, RST) begin
		if (RST = '0') then
			Q <= "0000000000";
			CLK1S <= '0';
		elsif (CLK'event and CLK = '1') then
			if (Q = 999) then
				Q <= "0000000000";
				CLK1S <= '1';
			else
				Q <= Q + 1;
				CLK1S <= '0';
			end if;
		end if;
	end process;
end Behavioral;

