----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    17:08:46 06/27/2008 
-- Design Name: 
-- Module Name:    dec7seg - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity dec7seg is
    Port ( D : in  STD_LOGIC_VECTOR (3 downto 0);
           SG : out  STD_LOGIC_VECTOR (7 downto 0);
           SA : out  STD_LOGIC_VECTOR (3 downto 0));
end dec7seg;

architecture Behavioral of dec7seg is

begin
	process (D) begin
		case D is
			when "0000" => SG <= "00111111";
			when "0001" => SG <= "00000110";
			when "0010" => SG <= "01011011";
			when "0011" => SG <= "01001111";
			when "0100" => SG <= "01100110";
			when "0101" => SG <= "01101101";
			when "0110" => SG <= "01111101";
			when "0111" => SG <= "00100111";
			when "1000" => SG <= "01111111";
			when "1001" => SG <= "01101111";
			when others => SG <= "00000000";
		end case;
	end process;
	SA <= "1110";
end Behavioral;

